at.chipkarte.client.rez.soap

## Class Verordnung

- Object
- - at.chipkarte.client.rez.soap.Verordnung

-     public class Verordnung
      extends Object

  Daten einer Verordnung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Verordnung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgabeart()` Art der Abgabe.
    `String` | `getAbsAnfrage()` ABS Anfrage.
    `String` | `getAbsAnfrageId()` ABS AntragsId.
    `String` | `getAbsBegruendungAnfrage()` Begründung ABS Anfrage.
    `String` | `getAbsLzbAbbuchung()` ABS LZB Abbuchung.
    `String` | `getAlternativeEinnahme()` Beschreibung einer alternativen Einnahmeregel.
    `String` | `getAnmerkungen()` Sonstige Anmerkungen.
    `String` | `getAuseinzelungTagesbedarf()` Auseinzelung des Tagesbedarfs.
    `String` | `getBegruendungKeineBewilligung()` Der Grund für eine nicht eingeholte Bewilligung.
    `String` | `getDiagnose()` Diagnose.
    `Dosierung` | `getEinnahmeregel()` Einnahmeregel (Signatur).
    `String` | `getHandelsname()` Handelsname des Arzneimittels.
    `String` | `getHeilmittelart()` Heilmittelart.
    `String` | `getLangezeitverordnungsdauer()` Langzeitverordnung - Dauer.
    `String` | `getMagistraleZubereitung()` Magistrale Zubereitung.
    `String` | `getMir()` M.I.R.
    `String` | `getNotfallskennzeichen()` Notfalls Kennzeichen.
    `String` | `getNotwendigePsychotrope()` Notwendige Verordnung von psychotropen Stoffen.
    `String` | `getPackungsanzahl()` Anzahl an Packungen.
    `String` | `getPackungseinheit()` Packungseinheit.
    `String` | `getPackungsgroesse()` Packungsgröße.
    `String` | `getPzn()` Pharmazentralnummer des Arzneimittels.
    `String` | `getSonstigesMittel()` Sonstiges Mittel.
    `String` | `getUnfall()` Unfall.
    `String` | `getVerordnungsId()` Eindeutige Nummer der Verordnung innerhalb des e-Rezeptes.
    `WeitereMedizinischeDaten` | `getWeitereMedizinischeDaten()` Weitere medizinische Daten.
    `String` | `getZusaetzlicheAbgaben()` Anzahl an zusätzlichen Abgaben für die Verordnung.
    `void` | `setAbgabeart(String abgabeart)`
    `void` | `setAbsAnfrage(String absAbfrage)`
    `void` | `setAbsAnfrageId(String absAnfrageId)`
    `void` | `setAbsBegruendungAnfrage(String absBegruendungAnfrage)`
    `void` | `setAbsLzbAbbuchung(String absLzbAbbuchung)`
    `void` | `setAlternativeEinnahme(String alternativeEinnahme)`
    `void` | `setAnmerkungen(String anmerkungen)`
    `void` | `setAuseinzelungTagesbedarf(String auseinzelungTagesbedarf)`
    `void` | `setBegruendungKeineBewilligung(String begruendungKeineBewilligung)`
    `void` | `setDiagnose(String diagnose)`
    `void` | `setEinnahmeregel(Dosierung einnahmeregel)`
    `void` | `setHandelsname(String handelsname)`
    `void` | `setHeilmittelart(String heilmittelart)`
    `void` | `setLangezeitverordnungsdauer(String langezeitverordnungsdauer)`
    `void` | `setMagistraleZubereitung(String magistraleZubereitung)`
    `void` | `setMir(String mir)`
    `void` | `setNotfallskennzeichen(String notfallskennzeichen)`
    `void` | `setNotwendigePsychotrope(String notwendigePsychotrope)`
    `void` | `setPackungsanzahl(String packungsanzahl)`
    `void` | `setPackungseinheit(String packungseinheit)`
    `void` | `setPackungsgroesse(String packungsgroesse)`
    `void` | `setPzn(String pzn)`
    `void` | `setSonstigesMittel(String sonstigesMittel)`
    `void` | `setUnfall(String unfall)`
    `void` | `setVerordnungsId(String verordnungsId)`
    `void` | `setWeitereMedizinischeDaten(WeitereMedizinischeDaten weitereMedizinischeDaten)`
    `void` | `setZusaetzlicheAbgaben(String zusaetzlicheAbgaben)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Verordnung

          public Verordnung()

  - ### Method Detail

    - #### getVerordnungsId

          public String getVerordnungsId()

      Eindeutige Nummer der Verordnung innerhalb des e-Rezeptes.
      Format: Zahl zwischen 1 und 99.
      Angabe: Muss bei Ausgabe. Eingabe wird ignoriert.
      Returns:
        VerordnungsId

    - #### setVerordnungsId

          public void setVerordnungsId(String verordnungsId)

    - #### getHeilmittelart

          public String getHeilmittelart()

      Heilmittelart.
      Mögliche Werte: `HeilmittelartConstants`.
      Angabe: Muss.
      Returns:
        Heilmittelart

    - #### setHeilmittelart

          public void setHeilmittelart(String heilmittelart)

    - #### getPzn

          public String getPzn()

      Pharmazentralnummer des Arzneimittels.
      Format: 8-stellig
      Angabe: Bedingt. (Pflicht bei `HeilmittelartConstants#ARZNEI_SPEZ`, sonst keine Angabe)
      Returns:
        PZN Arzneispezialität.

    - #### setPzn

          public void setPzn(String pzn)

    - #### getHandelsname

          public String getHandelsname()

      Handelsname des Arzneimittels.
      Format: maximal 100-Zeichen
      Angabe: Wird bei Eingabe ignoriert. Wird bei Ausgabe befüllt, wenn die Verordnung mittels PZN erfasst wurde.
      Returns:
        Handelsname Arzneispezialität.

    - #### setHandelsname

          public void setHandelsname(String handelsname)

    - #### getMagistraleZubereitung

          public String getMagistraleZubereitung()

      Magistrale Zubereitung.
      Format: maximal 1000-Zeichen
      Angabe: Bedingt. (Pflicht bei `HeilmittelartConstants#MAGISTRALE`, sonst keine Angabe)
      Returns:
        Freitext Magistrale

    - #### setMagistraleZubereitung

          public void setMagistraleZubereitung(String magistraleZubereitung)

    - #### getSonstigesMittel

          public String getSonstigesMittel()

      Sonstiges Mittel.
      Format: maximal 100-Zeichen
      Angabe: Bedingt. (Pflicht bei `HeilmittelartConstants#SONSTIGE_MITTEL`, sonst keine Angabe)
      Returns:
        SonstigesMittel

    - #### setSonstigesMittel

          public void setSonstigesMittel(String sonstigesMittel)

    - #### getPackungsgroesse

          public String getPackungsgroesse()

      Packungsgröße.
      Format: maximal 255-Zeichen
      Angabe: Kann. Angabe als Freitext möglich wenn Heilmittel ungleich `ARZNEI_SPEZ` ist. Bei Heilmittel gleich `ARZNEI_SPEZ` wird die Angabe ignoriert.
      Ausgabe: Wird bei Heilmittel gleich `ARZNEI_SPEZ` anhand der zugehörigen PZN aus der ASP Liste ermittelt. Anderenfalls (Heilmittel ungleich `ARZNEI_SPEZ`) erfolgt die Ausgabe der mittels Freitext angegebenen Packungsgröße.
      Returns:
        Freitext Packungsgroesse

    - #### setPackungsgroesse

          public void setPackungsgroesse(String packungsgroesse)

    - #### getPackungseinheit

          public String getPackungseinheit()

      Packungseinheit. (Mengenart aus Terminologieserver-ValueSet ELGA_MedikationMengenart_VS bzw. Freitext).
      Format: maximal 255-Zeichen
      Angabe: Kann. Angabe als Freitext möglich wenn Heilmittel ungleich `ARZNEI_SPEZ` ist. Bei Heilmittel gleich `ARZNEI_SPEZ` wird die Angabe ignoriert.
      Ausgabe: Wird bei Heilmittel gleich `ARZNEI_SPEZ` anhand der zugehörigen PZN aus der ASP Liste ermittelt. Anderenfalls (Heilmittel ungleich `ARZNEI_SPEZ`) erfolgt die Ausgabe der mittels Freitext angegebenen Packungseinheit.
      Returns:
        Packungseinheit.

    - #### setPackungseinheit

          public void setPackungseinheit(String packungseinheit)

    - #### getPackungsanzahl

          public String getPackungsanzahl()

      Anzahl an Packungen.
      Format: Zahl von 1 bis 99
      Angabe: Muss.
      Returns:
        Packungsanzahl

    - #### setPackungsanzahl

          public void setPackungsanzahl(String packungsanzahl)

    - #### getZusaetzlicheAbgaben

          public String getZusaetzlicheAbgaben()

      Anzahl an zusätzlichen Abgaben für die Verordnung.
      Format: Zahl von 0 bis 5
      Angabe: Bedingt. Keine Angabe erlaubt bei Verordnungen für ein Kassenrezept. Bei Verordnungen für ein Privatrezept gilt: Bei Nichtangabe wird automatisch der Wert "0" als Default verwendet.
      Returns:
        Anzahl zusätzliche Abgaben

    - #### setZusaetzlicheAbgaben

          public void setZusaetzlicheAbgaben(String zusaetzlicheAbgaben)

    - #### getBegruendungKeineBewilligung

          public String getBegruendungKeineBewilligung()

      Der Grund für eine nicht eingeholte Bewilligung.
      Mögliche Werte: `KeineAbsBewilligungsConstants`.
      Angabe: Bedingt. (Keine Angabe erlaubt wenn: AbsAnfrage mit `KennzeichenConstants.JA` versorgt ist oder AbsAntragsId oder AbsLzbAbbuchung gesetzt ist). Keine Angabe erlaubt bei Verordnungen für ein Privatrezept.
      Returns:
        keine Bewilligung aufgrund.

    - #### setBegruendungKeineBewilligung

          public void setBegruendungKeineBewilligung(String begruendungKeineBewilligung)

    - #### getNotwendigePsychotrope

          public String getNotwendigePsychotrope()

      Notwendige Verordnung von psychotropen Stoffen.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Kann.
      Returns:
        Kennzeichen notwendigePsychotrope

    - #### setNotwendigePsychotrope

          public void setNotwendigePsychotrope(String notwendigePsychotrope)

    - #### getAuseinzelungTagesbedarf

          public String getAuseinzelungTagesbedarf()

      Auseinzelung des Tagesbedarfs.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Kann.
      Returns:
        Kennzeichen AuseinzelungTagesbedarf

    - #### setAuseinzelungTagesbedarf

          public void setAuseinzelungTagesbedarf(String auseinzelungTagesbedarf)

    - #### getNotfallskennzeichen

          public String getNotfallskennzeichen()

      Notfalls Kennzeichen.
      Mögliche Werte: `NotfallKennzeichenConstants`.
      Angabe: Bedingt. Keine Angabe erlaubt bei Verordnungen für ein Privatrezept.
      Returns:
        Notfallskennzeichen

    - #### setNotfallskennzeichen

          public void setNotfallskennzeichen(String notfallskennzeichen)

    - #### getAbgabeart

          public String getAbgabeart()

      Art der Abgabe.
      Mögliche Werte: `VerordnungsabgabeartConstants`.
      Angabe: Kann.
      Returns:
        Abgabeart

    - #### setAbgabeart

          public void setAbgabeart(String abgabeart)

    - #### getMir

          public String getMir()

      M.I.R.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Bedingt. Keine Angabe erlaubt bei Verordnungen für ein Privatrezept.
      Returns:
        Kennzeichen MIR

    - #### setMir

          public void setMir(String mir)

    - #### getUnfall

          public String getUnfall()

      Unfall.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Bedingt. Keine Angabe erlaubt bei Verordnungen für ein Privatrezept.
      Returns:
        Kennzeichen Unfall

    - #### setUnfall

          public void setUnfall(String unfall)

    - #### getAnmerkungen

          public String getAnmerkungen()

      Sonstige Anmerkungen.
      Format: maximal 1000-Zeichen
      Angabe: Kann.
      Returns:
        Freitext Anmerkungen

    - #### setAnmerkungen

          public void setAnmerkungen(String anmerkungen)

    - #### getAbsAnfrage

          public String getAbsAnfrage()

      ABS Anfrage.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Bedingt. (Keine Angabe erlaubt wenn BegruendungKeineBewilligung versorgt ist oder AbsAntragsId oder AbsLzbAbbuchung gesetzt ist) (Keine Angabe erlaubt wenn EKVK Patient und KartenKennnummer nicht gesetzt ist. Keine Angabe erlaubt bei Verordnungen für ein Privatrezept.)
      Returns:
        Kennzeichen AbsAbfrage

    - #### setAbsAnfrage

          public void setAbsAnfrage(String absAbfrage)

    - #### getAbsBegruendungAnfrage

          public String getAbsBegruendungAnfrage()

      Begründung ABS Anfrage.
      Format: maximal 1000-Zeichen
      Angabe: Bedingt. (Muss angegeben werden wenn AbsAnfrage gesetzt ist. Keine Angabe erlaubt wenn AbsAnfrage nicht gesetzt ist. Keine Angabe erlaubt bei Verordnungen für ein Privatrezept.)
      Returns:
        Freitext AbsBegruendungAnfrage

    - #### setAbsBegruendungAnfrage

          public void setAbsBegruendungAnfrage(String absBegruendungAnfrage)

    - #### getDiagnose

          public String getDiagnose()

      Diagnose.
      Format: maximal 100-Zeichen
      Angabe: Bedingt. (Muss angegeben werden wenn AbsAnfrage gesetzt ist. Keine Angabe erlaubt wenn AbsAnfrage nicht gesetzt ist. Keine Angabe erlaubt bei Verordnungen für ein Privatrezept.)
      Returns:
        Freitext Diagonse

    - #### setDiagnose

          public void setDiagnose(String diagnose)

    - #### getLangezeitverordnungsdauer

          public String getLangezeitverordnungsdauer()

      Langzeitverordnung - Dauer.
      Anzahl der Monate der gewünschten Langzeitverordnung.
      Format: Zahl von 2 bis 12
      Angabe: Bedingt. (Keine Angabe erlaubt wenn AbsAnfrage nicht gesetzt ist. Keine Angabe erlaubt bei Verordnungen für ein Privatrezept.)
      Returns:
        Langzeitverordnungsdauer

    - #### setLangezeitverordnungsdauer

          public void setLangezeitverordnungsdauer(String langezeitverordnungsdauer)

    - #### getAbsAnfrageId

          public String getAbsAnfrageId()

      ABS AntragsId.
      Eindeutige Id einer Bewilligungsanfrage die mit einer Verordnung verknüpft wird.
      Format: Long
      Angabe: Bedingt. (Keine Angabe erlaubt wenn AbsAnfrage gesetzt ist.) (Keine Angabe erlaubt wenn EKVK Patient und KartenKennnummer nicht gesetzt ist. Keine Angabe erlaubt bei Verordnungen für ein Privatrezept.)
      Returns:
        AbsAntragsId

    - #### setAbsAnfrageId

          public void setAbsAnfrageId(String absAnfrageId)

    - #### getAbsLzbAbbuchung

          public String getAbsLzbAbbuchung()

      ABS LZB Abbuchung.
      Referenznummer unter der die Abbuchung aus dem Bewilligungsvorrat verbucht wurde.
      Format: Long
      Angabe: Bedingt. (Keine Angabe erlaubt wenn AbsAnfrage gesetzt ist. Keine Angabe erlaubt bei Verordnungen für ein Privatrezept.)
      Returns:
        AbsLzbAbbuchung

    - #### setAbsLzbAbbuchung

          public void setAbsLzbAbbuchung(String absLzbAbbuchung)

    - #### getWeitereMedizinischeDaten

          public WeitereMedizinischeDaten getWeitereMedizinischeDaten()

      Weitere medizinische Daten.
      Angabe: Kann.
      Returns:
        MedizinischeDaten

    - #### setWeitereMedizinischeDaten

          public void setWeitereMedizinischeDaten(WeitereMedizinischeDaten weitereMedizinischeDaten)

    - #### getEinnahmeregel

          public Dosierung getEinnahmeregel()

      Einnahmeregel (Signatur). Siehe `Dosierung`.
      Angabe: Kann.
      Returns:
        Freitext Einnahmeregel

    - #### setEinnahmeregel

          public void setEinnahmeregel(Dosierung einnahmeregel)

    - #### getAlternativeEinnahme

          public String getAlternativeEinnahme()

      Beschreibung einer alternativen Einnahmeregel.
      Format: maximal 200 Zeichen. Bei Angabe müssen mindestens 3 Zeichen angegeben werden.
      Angabe: Kann.
      Returns:
        Alternativer Einnahmetext.

    - #### setAlternativeEinnahme

          public void setAlternativeEinnahme(String alternativeEinnahme)